# The MEME Suite

## Motif-based sequence analysis tools

## glam2format

### Usage:

`glam2format [fasta|msf] <glam2 alignment>`

### Description

This program reads in a motif found by glam2, and writes it in a standard alignment format (FASTA-with-gaps or MSF). This enables the alignment to be passed to third-party software, including graphical visualization tools such as Kalignvu, Boxshade, and WebLogo. On the other hand, not all the motif information is preserved: in particular, the key positions are lost. Only the top motif in glam2 output is converted.

### Inputs

#### Output Type

Choose to output sequences in FASTA-with-gaps or MSF.

#### GLAM2 Alignment

A GLAM2 motif.

### Outputs

The sequences are written to standard output unless -o is specified to send the output to a file.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-o | file | The sequences are written to file. | The sequences are written to standard output.
-c |  | Make a compact alignment. |
-f | file | Sequence file for flanking sequences |

### Usage Examples

- Basic usage:

      glam2format fasta my_motif.glam2

      glam2format msf my_motif.glam2

- Use -o to write the output to a file rather than to the screen:

      glam2format -o my_motif.fa fasta my_motif.glam2

      glam2format -o my_motif.msf msf my_motif.glam2

- Use -c to make a compact alignment:

      glam2format -c fasta my_motif.glam2

      glam2format -c msf my_motif.glam2

  By default, residues that are inserted between key positions are written as unaligned with each other. This best reflects glam2's intention, but it can make the alignment large and full of gaps. With -c, inserted residues are written as arbitrarily aligned with each other, just as they appear in the glam2 output.
- Use -f to make a 'global' alignment by adding flanking sequences from the original FASTA-format sequence file:

      glam2format -f my_seqs.fa fasta my_motif.glam2

      glam2format -f my_seqs.fa msf my_motif.glam2

  The flanking sequences will be written as either unaligned with each other or arbitrarily aligned, depending on the -c option. The sequences should have unique names and their order should be unchanged.